Package com.avaya.clientservices.call

## Interface MeetingMinutesListener

-     public interface MeetingMinutesListener

  Meeting minutes listener provides updates about the status of meeting minutes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onMeetingMinutesMinutesChanged​(MeetingMinutes meetingMinutes, DataCollectionChangeType changeType, java.util.List<MinuteMessage> minutes)` | Called to report a change in meeting minute object's minutes list.
    `void` | `onMeetingMinutesServiceAvailable​(MeetingMinutes meetingMinutes)` | Called to report that the meeting minutes services has a healthy signaling path.
    `void` | `onMeetingMinutesServiceUnavailable​(MeetingMinutes meetingMinutes)` | Called to report that the meeting minutes services does not have a healthy signaling path.

- - ### Method Detail

    - #### onMeetingMinutesServiceAvailable

          void onMeetingMinutesServiceAvailable​(MeetingMinutes meetingMinutes)

      Called to report that the meeting minutes services has a healthy signaling path. Depending on the network topology, the meeting minutes services may be provided over the same signaling connection as the collaboration or over a different connection. This is why separate service available/unavailable callback is provided for the MeetingMinutes object.
      Parameters:
        `meetingMinutes` - The meeting minutes service that the callback is associated with.

    - #### onMeetingMinutesServiceUnavailable

          void onMeetingMinutesServiceUnavailable​(MeetingMinutes meetingMinutes)

      Called to report that the meeting minutes services does not have a healthy signaling path. Depending on the network topology, the meeting minutes services may be provided over the same signaling connection as the collaboration or over a different connection. This is why separate service available/unavailable callback is provided for the MeetingMinutes object.
      Parameters:
        `meetingMinutes` - The meeting minutes service that the callback is associated with.

    - #### onMeetingMinutesMinutesChanged

          void onMeetingMinutesMinutesChanged​(MeetingMinutes meetingMinutes,
                                              DataCollectionChangeType changeType,
                                              java.util.List<MinuteMessage> minutes)

      Called to report a change in meeting minute object's minutes list.
      Parameters:
        `meetingMinutes` - The meeting minutes object that the callback is associated with.
        `changeType` - Indicates the type of change that occurred on the minutes list.
        `minutes` - The minutes that have changed. Note that for a change type of COLLECTION_CLEARED this list will be empty.
      See Also:
        `MeetingMinutes.getMinutes()`, `ChangeType`